SET DEFINE OFF;

--
-- 
-- ____________________________________________________________________________________________
--  /!\ ATTENTION /!\  fichier encodé en UTF-8   (  il peut  contenir des é è ç à î ê ô ... )
-- ____________________________________________________________________________________________
--
--

--
-- 
-- Fichier: n°2  -A ne passer qu'en beta
-- Type: DML
-- Schéma:  RECHERCHE
-- Numéro de version :  1.0.0
-- Date de publication :  12/09/2012
-- Auteurs : Julien Lafourcade, Jean-Marc Pussacq, Bruno Garnier
-- Licence : CeCILL version 2
--
--


/*
 Création du schéma RECHERCHE dédié la gestion de la Recherche 
 l'application Sangria l'utilisera
*/


whenever sqlerror exit sql.sqlcode ;


CREATE OR REPLACE PROCEDURE GRHUM.INIT_RECH_1_0_0_DML_AJOUT_BETA
AS
	ass_id_recherche INTEGER;
	ass_id_types_membres_unite INTEGER;
	ass_id_types_membres_sr INTEGER;
	ass_id_membre_permanent INTEGER;
	ass_id_membre_non_permanent INTEGER;
	ass_id_doctorant INTEGER;	
BEGIN

-- LES NOUVELLES CLASSIFICATIONS DE CONTRATS UTILISEES PAR SANGRIA
Insert into ACCORDS.TYPE_CLASSIFICATION_CONTRAT (TCC_CODE,TCC_ID,TCC_LIBELLE) values ('AAP',(SELECT MAX(TCC_ID)+1 FROM ACCORDS.TYPE_CLASSIFICATION_CONTRAT),'Appel à projet');
INSERT INTO ACCORDS.TYPE_CLASSIFICATION_CONTRAT (TCC_CODE, TCC_ID, TCC_LIBELLE) VALUES ('PROJ_SCIEN', (SELECT MAX(TCC_ID)+1 FROM ACCORDS.TYPE_CLASSIFICATION_CONTRAT), 'Contrat de projet de recherche');

-- TYPE DANS ACCORDS.PROJET POUR PROJET RECHERCHE
INSERT INTO ACCORDS.TYPE_PROJET (TPJT_ID, TPJT_CODE) VALUES ('2', 'RECHERCHE');

Insert into ACCORDS.TYPE_CONTRAT (TYCON_ID,TYCON_ID_PERE,TYCON_LIBELLE,TYCON_NATURE,TYCON_RECHERCHE,TYCON_NIVEAU,TYCON_ID_INTERNE) values (ACCORDS.TYPE_CONTRAT_SEQ.NEXTVAL,(SELECT TYCON_ID FROM ACCORDS.TYPE_CONTRAT WHERE TYCON_ID_INTERNE like 'CATEG_AUTRES'),'Accords-cadre de recherche','TYPE','O',2,'CONT_CADRE_RECH');
Insert into ACCORDS.TYPE_CONTRAT (TYCON_ID,TYCON_ID_PERE,TYCON_LIBELLE,TYCON_NATURE,TYCON_RECHERCHE,TYCON_NIVEAU,TYCON_ID_INTERNE) values (ACCORDS.TYPE_CONTRAT_SEQ.NEXTVAL,(SELECT TYCON_ID FROM ACCORDS.TYPE_CONTRAT WHERE TYCON_ID_INTERNE like 'CATEG_AUTRES'),'Conventions des cellules d''application','TYPE','O',2,'CONT_CELL_APP');
Insert into ACCORDS.TYPE_CONTRAT (TYCON_ID,TYCON_ID_PERE,TYCON_LIBELLE,TYCON_NATURE,TYCON_RECHERCHE,TYCON_NIVEAU,TYCON_ID_INTERNE) values (ACCORDS.TYPE_CONTRAT_SEQ.NEXTVAL,(SELECT TYCON_ID FROM ACCORDS.TYPE_CONTRAT WHERE TYCON_ID_INTERNE like 'CONT_RECH_PARTEN'),'Accords de consortium','TYPE','O',2,'CONT_ACCO_CONSORT');
Insert into ACCORDS.TYPE_CONTRAT (TYCON_ID,TYCON_ID_PERE,TYCON_LIBELLE,TYCON_NATURE,TYCON_RECHERCHE,TYCON_NIVEAU,TYCON_ID_INTERNE) values (ACCORDS.TYPE_CONTRAT_SEQ.NEXTVAL,(SELECT TYCON_ID FROM ACCORDS.TYPE_CONTRAT WHERE TYCON_ID_INTERNE like 'CONT_RECH_PARTEN'),'Contrats de recherche','TYPE','O',2,'CONT_RECH');
Insert into ACCORDS.TYPE_CONTRAT (TYCON_ID,TYCON_ID_PERE,TYCON_LIBELLE,TYCON_NATURE,TYCON_RECHERCHE,TYCON_NIVEAU,TYCON_ID_INTERNE) values (ACCORDS.TYPE_CONTRAT_SEQ.NEXTVAL,(SELECT TYCON_ID FROM ACCORDS.TYPE_CONTRAT WHERE TYCON_ID_INTERNE like 'CATEG_AUTRES'),'Contrats d''étude','TYPE','O',2,'CONT_ETUDE');
Insert into ACCORDS.TYPE_CONTRAT (TYCON_ID,TYCON_ID_PERE,TYCON_LIBELLE,TYCON_NATURE,TYCON_RECHERCHE,TYCON_NIVEAU,TYCON_ID_INTERNE) values (ACCORDS.TYPE_CONTRAT_SEQ.NEXTVAL,(SELECT TYCON_ID FROM ACCORDS.TYPE_CONTRAT WHERE TYCON_ID_INTERNE like 'CATEG_AUTRES'),'MTA','TYPE','O',2,'CONT_MTA');
Insert into ACCORDS.TYPE_CONTRAT (TYCON_ID,TYCON_ID_PERE,TYCON_LIBELLE,TYCON_NATURE,TYCON_RECHERCHE,TYCON_NIVEAU,TYCON_ID_INTERNE) values (ACCORDS.TYPE_CONTRAT_SEQ.NEXTVAL,(SELECT TYCON_ID FROM ACCORDS.TYPE_CONTRAT WHERE TYCON_ID_INTERNE like 'CATEG_EUROP_INTERNAT'),'Contrats européens','TYPE','O',2,'CONT_EUROPEEN');
Insert into ACCORDS.TYPE_CONTRAT (TYCON_ID,TYCON_ID_PERE,TYCON_LIBELLE,TYCON_NATURE,TYCON_RECHERCHE,TYCON_NIVEAU,TYCON_ID_INTERNE) values (ACCORDS.TYPE_CONTRAT_SEQ.NEXTVAL,(SELECT TYCON_ID FROM ACCORDS.TYPE_CONTRAT WHERE TYCON_ID_INTERNE like 'CATEG_AUTRES'),'Conventions de reversement/financement','TYPE','O',2,'CONT_REVERS_FIN');
Insert into ACCORDS.TYPE_CONTRAT (TYCON_ID,TYCON_ID_PERE,TYCON_LIBELLE,TYCON_NATURE,TYCON_RECHERCHE,TYCON_NIVEAU,TYCON_ID_INTERNE) values (ACCORDS.TYPE_CONTRAT_SEQ.NEXTVAL,(SELECT TYCON_ID FROM ACCORDS.TYPE_CONTRAT WHERE TYCON_ID_INTERNE like 'CATEG_AUTRES'),'Conventions d''accueil doctorants – chercheurs','TYPE','O',2,'CONT_ACCUEIL_DOCT');
Insert into ACCORDS.TYPE_CONTRAT (TYCON_ID,TYCON_ID_PERE,TYCON_LIBELLE,TYCON_NATURE,TYCON_RECHERCHE,TYCON_NIVEAU,TYCON_ID_INTERNE) values (ACCORDS.TYPE_CONTRAT_SEQ.NEXTVAL,(SELECT TYCON_ID FROM ACCORDS.TYPE_CONTRAT WHERE TYCON_ID_INTERNE like 'CATEG_AUTRES'),'Conventions d''accueil étudiants / stagiaires','TYPE','O',2,'CONT_ACCUEIL_ETUD');
Insert into ACCORDS.TYPE_CONTRAT (TYCON_ID,TYCON_ID_PERE,TYCON_LIBELLE,TYCON_NATURE,TYCON_RECHERCHE,TYCON_NIVEAU,TYCON_ID_INTERNE) values (ACCORDS.TYPE_CONTRAT_SEQ.NEXTVAL,(SELECT TYCON_ID FROM ACCORDS.TYPE_CONTRAT WHERE TYCON_ID_INTERNE like 'CONT_EXPLOIT'),'Cession de droits d''auteur','TYPE','O',2,'CONT_CESS_DROIT_AUT');
Insert into ACCORDS.TYPE_CONTRAT (TYCON_ID,TYCON_ID_PERE,TYCON_LIBELLE,TYCON_NATURE,TYCON_RECHERCHE,TYCON_NIVEAU,TYCON_ID_INTERNE) values (ACCORDS.TYPE_CONTRAT_SEQ.NEXTVAL,(SELECT TYCON_ID FROM ACCORDS.TYPE_CONTRAT WHERE TYCON_ID_INTERNE like 'CATEG_AUTRES'),'Conventions de co-développement','TYPE','O',2,'CONT_CONV_CODEV');
Insert into ACCORDS.TYPE_CONTRAT (TYCON_ID,TYCON_ID_PERE,TYCON_LIBELLE,TYCON_NATURE,TYCON_RECHERCHE,TYCON_NIVEAU,TYCON_ID_INTERNE) values (ACCORDS.TYPE_CONTRAT_SEQ.NEXTVAL,(SELECT TYCON_ID FROM ACCORDS.TYPE_CONTRAT WHERE TYCON_ID_INTERNE like 'CONT_EXPLOIT'),'Licences d''exploitation','TYPE','O',2,'CONT_LIC_EXP');
Insert into ACCORDS.TYPE_CONTRAT (TYCON_ID,TYCON_ID_PERE,TYCON_LIBELLE,TYCON_NATURE,TYCON_RECHERCHE,TYCON_NIVEAU,TYCON_ID_INTERNE) values (ACCORDS.TYPE_CONTRAT_SEQ.NEXTVAL,(SELECT TYCON_ID FROM ACCORDS.TYPE_CONTRAT WHERE TYCON_ID_INTERNE like 'CONT_EXPLOIT'),'Licence de droit d''usage','TYPE','O',2,'CONT_LIC_DROIT_USA');
Insert into ACCORDS.TYPE_CONTRAT (TYCON_ID,TYCON_ID_PERE,TYCON_LIBELLE,TYCON_NATURE,TYCON_RECHERCHE,TYCON_NIVEAU,TYCON_ID_INTERNE) values (ACCORDS.TYPE_CONTRAT_SEQ.NEXTVAL,(SELECT TYCON_ID FROM ACCORDS.TYPE_CONTRAT WHERE TYCON_ID_INTERNE like 'CATEG_AUTRES'),'Contrats d''édition','TYPE','O',2,'CONT_EDITION');
Insert into ACCORDS.TYPE_CONTRAT (TYCON_ID,TYCON_ID_PERE,TYCON_LIBELLE,TYCON_NATURE,TYCON_RECHERCHE,TYCON_NIVEAU,TYCON_ID_INTERNE) values (ACCORDS.TYPE_CONTRAT_SEQ.NEXTVAL,(SELECT TYCON_ID FROM ACCORDS.TYPE_CONTRAT WHERE TYCON_ID_INTERNE like 'CATEG_AUTRES'),'Lettres d''intention dans le cadre de projets','TYPE','O',2,'CONT_LETTRE_INT');
Insert into ACCORDS.TYPE_CONTRAT (TYCON_ID,TYCON_ID_PERE,TYCON_LIBELLE,TYCON_NATURE,TYCON_RECHERCHE,TYCON_NIVEAU,TYCON_ID_INTERNE) values (ACCORDS.TYPE_CONTRAT_SEQ.NEXTVAL,(SELECT TYCON_ID FROM ACCORDS.TYPE_CONTRAT WHERE TYCON_ID_INTERNE like 'CATEG_AUTRES'),'Bons de commande','TYPE','O',2,'CONT_BON_COM');
Insert into ACCORDS.TYPE_CONTRAT (TYCON_ID,TYCON_ID_PERE,TYCON_LIBELLE,TYCON_NATURE,TYCON_RECHERCHE,TYCON_NIVEAU,TYCON_ID_INTERNE) values (ACCORDS.TYPE_CONTRAT_SEQ.NEXTVAL,(SELECT TYCON_ID FROM ACCORDS.TYPE_CONTRAT WHERE TYCON_ID_INTERNE like 'CATEG_AUTRES'),'Contrat type projet','TYPE','O',2,'CONT_PROJ');

Insert into ACCORDS.TYPE_CONTRAT (TYCON_ID,TYCON_ID_PERE,TYCON_LIBELLE,TYCON_NATURE,TYCON_RECHERCHE,TYCON_NIVEAU,TYCON_ID_INTERNE) values (ACCORDS.TYPE_CONTRAT_SEQ.NEXTVAL,(SELECT TYCON_ID FROM ACCORDS.TYPE_CONTRAT WHERE TYCON_ID_INTERNE like 'CATEG_AUTRES'),'Contrat de thèse CIFRE','TYPE','O',2,'CONT_CIFRE');
Insert into ACCORDS.TYPE_CONTRAT (TYCON_ID,TYCON_ID_PERE,TYCON_LIBELLE,TYCON_NATURE,TYCON_RECHERCHE,TYCON_NIVEAU,TYCON_ID_INTERNE) values (ACCORDS.TYPE_CONTRAT_SEQ.NEXTVAL,(SELECT TYCON_ID FROM ACCORDS.TYPE_CONTRAT WHERE TYCON_ID_INTERNE like 'CATEG_AUTRES'),'Mise à disposition de matériel','TYPE','O',2,'CONT_MAD_MAT');
Insert into ACCORDS.TYPE_CONTRAT (TYCON_ID,TYCON_ID_PERE,TYCON_LIBELLE,TYCON_NATURE,TYCON_RECHERCHE,TYCON_NIVEAU,TYCON_ID_INTERNE) values (ACCORDS.TYPE_CONTRAT_SEQ.NEXTVAL,(SELECT TYCON_ID FROM ACCORDS.TYPE_CONTRAT WHERE TYCON_ID_INTERNE like 'CATEG_AUTRES'),'Mandat','TYPE','O',2,'CONT_MANDAT');
Insert into ACCORDS.TYPE_CONTRAT (TYCON_ID,TYCON_ID_PERE,TYCON_LIBELLE,TYCON_NATURE,TYCON_RECHERCHE,TYCON_NIVEAU,TYCON_ID_INTERNE) values (ACCORDS.TYPE_CONTRAT_SEQ.NEXTVAL,(SELECT TYCON_ID FROM ACCORDS.TYPE_CONTRAT WHERE TYCON_ID_INTERNE like 'CATEG_AUTRES'),'Sous-traitance','TYPE','O',2,'CONT_SS_TRAIT');
Insert into ACCORDS.TYPE_CONTRAT (TYCON_ID,TYCON_ID_PERE,TYCON_LIBELLE,TYCON_NATURE,TYCON_RECHERCHE,TYCON_NIVEAU,TYCON_ID_INTERNE) values (ACCORDS.TYPE_CONTRAT_SEQ.NEXTVAL,(SELECT TYCON_ID FROM ACCORDS.TYPE_CONTRAT WHERE TYCON_ID_INTERNE like 'CATEG_AUTRES'),'Licence de Logiciel','TYPE','O',2,'CONT_LIC_LOG');

UPDATE ACCORDS.TYPE_CONTRAT SET TYCON_LIBELLE = 'Contrat de prestation de service' WHERE TYCON_ID_INTERNE = 'CONT_PRESTA_SERV';

-- Contrats de cession de droits d'auteur (Deja présent)
-- Accord de copropriété; 

INSERT INTO GRHUM.ASSOCIATION (ASS_ID, ASS_LIBELLE, D_CREATION, D_MODIFICATION, TAS_ID, ASS_CODE, ASS_LOCALE) VALUES (GRHUM.ASSOCIATION_SEQ.NEXTVAL, 'DOCTORANT', SYSDATE,SYSDATE,'1','DOCT','N');
INSERT INTO GRHUM.ASSOCIATION (ASS_ID, ASS_LIBELLE, D_CREATION, D_MODIFICATION, TAS_ID, ASS_CODE, ASS_LOCALE) VALUES (GRHUM.ASSOCIATION_SEQ.NEXTVAL, 'DIRECTION', TO_DATE('27/04/11', 'DD/MM/RR'), TO_DATE('27/04/11', 'DD/MM/RR'), '1', 'DIRECTION', 'N');
INSERT INTO GRHUM.ASSOCIATION (ASS_ID, ASS_LIBELLE, D_CREATION, D_MODIFICATION, TAS_ID, ASS_CODE, ASS_LOCALE) VALUES (GRHUM.ASSOCIATION_SEQ.NEXTVAL, 'MEMBRE PERMANENT', sysdate, sysdate, '1', 'MEMBRE P', 'N');
INSERT INTO GRHUM.ASSOCIATION (ASS_ID, ASS_LIBELLE, D_CREATION, D_MODIFICATION, TAS_ID, ASS_CODE, ASS_LOCALE) VALUES (GRHUM.ASSOCIATION_SEQ.NEXTVAL, 'MEMBRE NON PERMANENT', sysdate, sysdate, '1', 'MEMBRE NP', 'N');


SELECT ass_id INTO ass_id_recherche FROM GRHUM.ASSOCIATION WHERE ass_libelle LIKE 'RECHERCHE';
SELECT ass_id INTO ass_id_membre_permanent FROM GRHUM.ASSOCIATION WHERE ass_libelle LIKE 'MEMBRE PERMANENT';
SELECT ass_id INTO ass_id_membre_non_permanent FROM GRHUM.ASSOCIATION WHERE ass_libelle LIKE 'MEMBRE NON PERMANENT';
SELECT ass_id INTO ass_id_doctorant FROM GRHUM.ASSOCIATION WHERE ass_libelle LIKE 'DOCTORANT';

INSERT INTO GRHUM.ASSOCIATION (ASS_ID, ASS_LIBELLE, ASS_CODE, D_CREATION, D_MODIFICATION, TAS_ID, ASS_LOCALE) VALUES (GRHUM.ASSOCIATION_SEQ.NEXTVAL, 'TYPES MEMBRES UNITE', 'TYP_MEM_UNI', sysdate, sysdate, '1', 'N');
INSERT INTO GRHUM.ASSOCIATION (ASS_ID, ASS_LIBELLE, ASS_CODE, D_CREATION, D_MODIFICATION, TAS_ID, ASS_LOCALE) VALUES (GRHUM.ASSOCIATION_SEQ.NEXTVAL, 'TYPES MEMBRES STRUCTURE RECHERCHE', 'TYPE_MEM_SR', sysdate, sysdate, '1', 'N');

SELECT ass_id INTO ass_id_types_membres_unite FROM association WHERE ass_libelle LIKE 'TYPES MEMBRES UNITE';
SELECT ass_id INTO ass_id_types_membres_sr FROM association WHERE ass_libelle LIKE 'TYPES MEMBRES STRUCTURE RECHERCHE';

INSERT INTO GRHUM.ASSOCIATION_RESEAU (ASR_ID, ASS_ID_PERE, ASS_ID_FILS, D_CREATION, D_MODIFICATION) VALUES (GRHUM.ASSOCIATION_RESEAU_SEQ.NEXTVAL, ass_id_recherche, ass_id_types_membres_unite, sysdate, sysdate);
INSERT INTO GRHUM.ASSOCIATION_RESEAU (ASR_ID, ASS_ID_PERE, ASS_ID_FILS, D_CREATION, D_MODIFICATION) VALUES (GRHUM.ASSOCIATION_RESEAU_SEQ.NEXTVAL, ass_id_recherche, ass_id_types_membres_sr, sysdate, sysdate);
INSERT INTO GRHUM.ASSOCIATION_RESEAU (ASR_ID, ASS_ID_PERE, ASS_ID_FILS, D_CREATION, D_MODIFICATION) VALUES (GRHUM.ASSOCIATION_RESEAU_SEQ.NEXTVAL, ass_id_types_membres_unite, ass_id_membre_permanent, sysdate, sysdate);
INSERT INTO GRHUM.ASSOCIATION_RESEAU (ASR_ID, ASS_ID_PERE, ASS_ID_FILS, D_CREATION, D_MODIFICATION) VALUES (GRHUM.ASSOCIATION_RESEAU_SEQ.NEXTVAL, ass_id_types_membres_unite, ass_id_membre_non_permanent, sysdate, sysdate);
INSERT INTO GRHUM.ASSOCIATION_RESEAU (ASR_ID, ASS_ID_PERE, ASS_ID_FILS, D_CREATION, D_MODIFICATION) VALUES (GRHUM.ASSOCIATION_RESEAU_SEQ.NEXTVAL, ass_id_types_membres_unite, ass_id_doctorant, sysdate, sysdate);
INSERT INTO GRHUM.ASSOCIATION_RESEAU (ASR_ID, ASS_ID_PERE, ASS_ID_FILS, D_CREATION, D_MODIFICATION) VALUES (GRHUM.ASSOCIATION_RESEAU_SEQ.NEXTVAL, ass_id_types_membres_sr, ass_id_membre_permanent, sysdate, sysdate);
INSERT INTO GRHUM.ASSOCIATION_RESEAU (ASR_ID, ASS_ID_PERE, ASS_ID_FILS, D_CREATION, D_MODIFICATION) VALUES (GRHUM.ASSOCIATION_RESEAU_SEQ.NEXTVAL, ass_id_types_membres_sr, ass_id_membre_non_permanent, sysdate, sysdate);


INSERT INTO GRHUM.ASSOCIATION (ASS_ID,ASS_LIBELLE,D_CREATION,D_MODIFICATION,TAS_ID,ASS_RACINE,ASS_CODE,ASS_ALIAS,ASS_LOCALE,D_OUVERTURE,D_FERMETURE) 
VALUES (GRHUM.ASSOCIATION_SEQ.NEXTVAL,'AFFECTATION',sysdate,sysdate,'1',null,'AFFECT',null,'N',null,null);


INSERT INTO GRHUM.ASSOCIATION_RESEAU
  (
    ASR_ID,
    ASS_ID_PERE,
    ASS_ID_FILS,
    ASR_RANG,
    ASR_COMMENTAIRE,
    D_CREATION,
    D_MODIFICATION
  )
  VALUES
  (
    GRHUM.ASSOCIATION_RESEAU_SEQ.NEXTVAL,
    (SELECT ASS_ID FROM GRHUM.ASSOCIATION WHERE ASS_CODE LIKE 'FONCTION' AND ASS_RACINE = 'O'),
    (SELECT ASS_ID FROM GRHUM.ASSOCIATION WHERE ASS_CODE LIKE 'AFFECT'),
    null,
    'Association permettant de faire la correspondance avec les affectations de mangue',
    sysdate,
    sysdate
  );


INSERT INTO GRHUM.EVT_EVENEMENT_TYPE (EVTT_ID, EVTT_CAT_ID, EVTT_ID_INTERNE, EVTT_ORDRE_AFFICHAGE, EVTT_LC, EVTT_LL) 
VALUES (GRHUM.EVT_EVENEMENT_TYPE_SEQ.nextval, (select EVTT_CAT_ID from GRHUM.EVT_EVENEMENT_TYPE_CAT where EVTT_CAT_ID_INTERNE = 'ADMIN'), 'NOTE', 1, 'Note', 'Note');


END;
/

EXECUTE GRHUM.INIT_RECH_1_0_0_DML_AJOUT_BETA();
/

DROP PROCEDURE GRHUM.INIT_RECH_1_0_0_DML_AJOUT_BETA;
/

commit;
